//
//  LKFFilterDATA.swift
//  lkfc
//
//  Created by Alexander Holzer on 12.01.2022.
//  Copyright © 2022 Alexander Holzer. All rights reserved.
//

import Foundation

public class LKFFilterData : LKFFilter {
    let field : LKFAufenthaltFields
    let value : String
    
    init (field: LKFAufenthaltFields, value: String) {
        self.field = field
        self.value = value
    }
    
    public override func isIncluded(contact: LKFAufenthalt) -> Bool {
        return contact.getField(field) == value
    }
}

public class LKFFilterENTART : LKFFilterData {
    public init (value: String) {
        super.init(field: .entart, value: value)
    }
}

public class LKFFilterAUFART : LKFFilterData {
    public init (value: String) {
        super.init(field: .entdat, value: value)
    }
}

public class LKFFilterGESCHL : LKFFilterData {
    public init (value: String) {
        super.init(field: .geschl, value: value)
    }
}
